#------------------------------------------------------------------------------
# copylog_check.sh - check /dev/ram and size of files
#
# Creation:	23.09.2002 Peter Schiefer mailto:lanspezi@lan4me.de
# Last Update:  27.02.2003 Peter Schiefer 
#------------------------------------------------------------------------------
if [ "$COPYLOG_DO_DEBUG" = yes ]
then
	set -x
fi

/usr/local/bin/copylog_echo.sh "copylog_check" "installed - check free block of /dev/ram - check filesizes"

while [ 1 = 1 ]
do
  # check /dev/ram
  blksfree=`/bin/cat /var/run/copylog_check.blks`
  verbose=`/bin/cat /var/run/copylog.verbose`

  set -- `/bin/df /dev/ram | grep /dev/ram`

  blksa=$4

  if [ "$verbose" = "yes" ]
  then
    /usr/local/bin/copylog_echo.sh "copylog_check" "check free blocks on /dev/ram [$blksa free / $blksfree min]"
  fi

  if [ "$blksa" -lt "$blksfree" ]
  then
    /usr/local/bin/copylog_echo.sh "copylog_check" "not enough free blocks on /dev/ram [$blksa free / $blksfree min]"
    /usr/local/bin/copylog.sh
  fi
  
  # check files
  idx=1
  j=`/bin/cat /var/run/copylog_file`
  while [ "$idx" -le "$j" ]
  do
    . /var/run/copylog_file-$idx
    if [ "$copylog_file_quell" != "0" ]
    then
      if [ -f $copylog_file_quell ]
      then
        set -- `ls -l $copylog_file_quell`
        size=$5
        if [ "$size" -ge "$copylog_file_maxsize" ]
        then
          cppath=$copylog_file_ziel/copylog$(date +%Y%m%d-%H%M)
          if [ "$copylog_file_art" = "move" ]
          then
            if [ ! -d $cppath ]
            then
	      /bin/mkdir $cppath
            fi
            /bin/cp $copylog_file_quell $cppath
            > $copylog_file_quell
            /usr/local/bin/copylog_echo.sh "copylog_check" "$copylog_file_quell moved ..."
          fi
          if [ "$copylog_file_art" = "delete" ]
          then
            /bin/rm $copylog_file_quell
            > $copylog_file_quell
            /usr/local/bin/copylog_echo.sh "copylog_check" "$copylog_file_quell deleted ..."
          fi
          if [ "$copylog_file_custom" != "" ]
          then
            $copylog_file_custom
            /usr/local/bin/copylog_echo.sh "copylog_check" "execute $copylog_file_custom"
          fi
        fi
      fi
    fi
    idx=`/usr/bin/expr $idx + 1`
  done
  /bin/sleep 120
done

set +x